### Method

# Handy SearchBar set_search_mode

since: 1.0

#### Declaration [src]

    void
    hdy_search_bar_set_search_mode (
      HdySearchBar* self,
      gboolean search_mode
    )

#### Description [src]

Switches the search mode on or off.

Available since: 1.0

Sets property | `Handy.SearchBar:search-mode-enabled`

#### Parameters

`search_mode`

  Type: `gboolean`

  The new state of the search mode.